Package org.apache.avro.mapreduce

# Class AvroSequenceFileInputFormat<K,V>

java.lang.Object
org.apache.hadoop.mapreduce.InputFormat<K,V>
org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<K,V>
org.apache.avro.mapreduce.AvroSequenceFileInputFormat<K,V>

Type Parameters:
  `K` - The input key type.
  `V` - The input value type.

public class AvroSequenceFileInputFormat<K,V> extends SequenceFileInputFormat<K,V>
An input format for reading from AvroSequenceFiles (sequence files that support Avro data).

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`AvroSequenceFileInputFormat.AvroSequenceFileRecordReader`
Reads records from a SequenceFile that supports Avro data.

## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`FileInputFormat.Counter`

## Field Summary

### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

## Constructor Summary

Constructors
Constructor
Description
`AvroSequenceFileInputFormat()`

## Method Summary

Modifier and Type
Method
Description
`RecordReader<K,V>`
`createRecordReader(InputSplit inputSplit, TaskAttemptContext context)`

### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat

`getFormatMinSplitSize, listStatus`

### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

`addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize, shrinkStatus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AvroSequenceFileInputFormat

public AvroSequenceFileInputFormat()

## Method Details

### createRecordReader

public RecordReader<K,V> createRecordReader(InputSplit inputSplit, TaskAttemptContext context) throws IOException

Overrides:
  `createRecordReader` in class `SequenceFileInputFormat<K,V>`
Throws:
  `IOException`